import { BaseTickOptions } from './base-tick-options';
import { GridLineOptions } from './grid-line-options';
import { ChartScaleCallbacks } from './chart-scale-callbacks';
import { BaseChartMetaConfig } from './base-chart-meta-config';
import { ScaleType } from './scale-type';
export interface CommonScale<T extends BaseChartMetaConfig> extends ChartScaleCallbacks {
    id?: string;
    type?: ScaleType<T>;
    display?: boolean;
    weight?: number;
    stacked?: boolean;
    barPercentage?: number;
    categoryPercentage?: number;
    barThickness?: number | 'flex';
    maxBarThickness?: number;
    minBarLength?: number;
    ticks?: BaseTickOptions;
    gridLines?: GridLineOptions;
}
